| Home | Libraries | People | FAQ | More

#### parse_ipv6_address

Parse a string containing an IPv6 address.

##### Synopsis

Defined in header `<boost/url/ipv6_address.hpp>`

    system::result< ipv6_address >
    parse_ipv6_address(
        core::string_view s);

##### Description

This function attempts to parse the string as an IPv6 address and returns a result containing the address upon success, or an error code if the string does not contain a valid IPv6 address.

##### Exception Safety

Throws nothing.

##### Return Value

A result containing the address.

##### Parameters

Name | Description
--- | ---
`s` | The string to parse.

Convenience header `<boost/url.hpp>`